(TeX-add-style-hook
 "main"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("inputenc" "utf8") ("url" "hyphens") ("hyperref" "colorlinks=true" "urlcolor=blue" "linkcolor=black" "citecolor=black" "filecolor=black") ("geometry" "margin={2cm, 3.5cm, 3cm, 3cm}") ("natbib" "square" "sort" "comma" "numbers")))
   (add-to-list 'LaTeX-verbatim-environments-local "lstlisting")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (TeX-run-style-hooks
    "latex2e"
    "questions"
    "article"
    "art10"
    "inputenc"
    "url"
    "hyperref"
    "dirtytalk"
    "listings"
    "color"
    "geometry"
    "amssymb"
    "graphicx"
    "fancyhdr"
    "natbib"))
 :latex)

